Package com.smartgwt.client.util

# Class AsyncDataBoundOperationParams

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.util.AsyncOperationParams
com.smartgwt.client.util.AsyncDataBoundOperationParams

All Implemented Interfaces:
  `HasHandlers`

Direct Known Subclasses:
  `DataBoundAIRequest`

public class AsyncDataBoundOperationParams extends AsyncOperationParams
Parameters to an asynchronous data-bound operation.

See Also:
  - `AsyncDataBoundOperationContext`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AsyncDataBoundOperationParams()`
  `AsyncDataBoundOperationParams(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataBoundComponent`
  `getComponent()`
  A `DataBoundComponent` for context.
  `DataSource`
  `getDataSource()`
  A `DataSource` for context.
  `static AsyncDataBoundOperationParams`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `AsyncDataBoundOperationParams`
  `setComponent(DataBoundComponent component)`
  A `DataBoundComponent` for context.
  `AsyncDataBoundOperationParams`
  `setDataSource(DataSource dataSource)`
  A `DataSource` for context.

  ### Methods inherited from class com.smartgwt.client.util.AsyncOperationParams

  `getCancellationController, setCancellationController`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AsyncDataBoundOperationParams

    public AsyncDataBoundOperationParams()

  - ### AsyncDataBoundOperationParams

    public AsyncDataBoundOperationParams(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static AsyncDataBoundOperationParams getOrCreateRef(JavaScriptObject jsObj)

  - ### setComponent

    public AsyncDataBoundOperationParams setComponent(DataBoundComponent component)
    A `DataBoundComponent` for context.

    If `dataSource` is also specified, then the component should be bound to the same `DataSource` or a `DataSource` inheriting from it.

    Parameters:
      `component` - New component value. Default value is null
    Returns:
      `AsyncDataBoundOperationParams` instance, for chaining setter calls

  - ### getComponent

    public DataBoundComponent getComponent()
    A `DataBoundComponent` for context.

    If `dataSource` is also specified, then the component should be bound to the same `DataSource` or a `DataSource` inheriting from it.

    Returns:
      Current component value. Default value is null

  - ### setDataSource

    public AsyncDataBoundOperationParams setDataSource(DataSource dataSource)
    A `DataSource` for context.

    If `component` is also specified, then the component should be bound to the same `DataSource` or a `DataSource` inheriting from it.

    Parameters:
      `dataSource` - New dataSource value. Default value is null
    Returns:
      `AsyncDataBoundOperationParams` instance, for chaining setter calls

  - ### getDataSource

    public DataSource getDataSource()
    A `DataSource` for context.

    If `component` is also specified, then the component should be bound to the same `DataSource` or a `DataSource` inheriting from it.

    Returns:
      Current dataSource value. Default value is null